﻿
using System;
namespace HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard {
  public partial class SelectAnalysisPage : HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard.WizardPage {
    private DataAnalysisWizardContext context;
    public DataAnalysisWizardContext Context {
      get { return context; }
    }

    public SelectAnalysisPage(DataAnalysisWizardContext context) {
      InitializeComponent();
      this.context = context;
    }

    private void SelectAnalysisPage_SetActive(object sender, System.ComponentModel.CancelEventArgs e) {
      SetWizardButton(Wizard.WizardButtons.Next);
    }

    private void SelectAnalysisPage_WizardNext(object sender, Wizard.WizardPageEventArgs e) {
      if (rbSmall.Checked) {
        context.SelectedAnalysis = rbSmall.Text;
        e.NewPage = "WizardPage";
      } else if (rbMedium.Checked) {
        context.SelectedAnalysis = rbMedium.Text;
        e.NewPage = "MediumAnalysisPage";
      } else if (rbLarge.Checked) {
        context.SelectedAnalysis = rbLarge.Text;
        e.NewPage = "WizardPage";
      } else if (rbCustom.Checked) {
        context.SelectedAnalysis = rbCustom.Text;
        e.NewPage = "WizardPage";
      } else {
        throw new SystemException("Undefined data analysis selected.");
      }
    }
  }
}
